# Graphs with Graphite module of Icinga

## Introduction

IML - we are the Institute for Medical Education at university in Bern, Switzerland.

We use Icinga graphite module to show performance data. 

The checks are available in a sister repository.

## License

* Licence: GNU GPL 3.0
* Source:
  * Graphs (Graphite): https://git-repo.iml.unibe.ch/iml-open-source/icinga-graphite-templates
  * Checks: https://git-repo.iml.unibe.ch/iml-open-source/icinga-checks

## Installation

You need the graphite modul of icingaweb2 that points to a graphite service (Graphite can run on another server than Icinga).

(1)

On the Icinga server put the wanted ini into the folder 
**/etc_incingaweb2/modules/graphite/templates/**

(2)

Inside an ini file have a look to the lines

    check_command = "..."

They need to match the name of a service (NOT the name of a check script) to apply the rules for a graph.

## Templates

iml_apache-requests.ini
iml_ceph-diskfree.ini
iml_cpu.ini
iml_default.ini
iml_disk.ini
iml_disk-io.ini
iml_disk-ticks.ini
iml_eol.ini
iml_haproxy-status.ini
iml_hostalive.ini
iml_load.ini
iml_memory.ini
iml_mysqlserver-commands.ini
iml_mysqlserver-connections.ini
iml_mysqlserver-connects.ini
iml_mysqlserver-qcache-blocks.ini
iml_mysqlserver-qcache-hits.ini
iml_netio.ini
iml_netstat.ini
iml_php-fpm-status.ini
iml_response-time.ini
iml_snmp-cpu.ini
iml_update-available.ini

## Gallery

![Apache httpd requests](./images/check_apache_requests.png)
![CPU usage](./images/check_cpu_03.png)
![Disk IO](./images/check_disk_io_02.png)
![Disk ticks](./images/check_disk_ticks.png)
![System load](./images/check_load02.png)
![Memory usage](./images/check_memory_usage.png)
![Network IO](./images/check_netio_02.png)
![Netstat connections](./images/check_netstat.png)